package com.fdkankan.ucenter.controller;


import com.alibaba.fastjson.JSONObject;
import com.fdkankan.ucenter.common.Result;
import com.fdkankan.ucenter.service.ISpaceSdkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * <p>
 * space sdk表 前端控制器
 * </p>
 *
 * @author 
 * @since 2022-07-29
 */
@RestController
@RequestMapping("/ucenter/sso/manager/space/")
public class SpaceSdkController {

    @Autowired
    ISpaceSdkService spaceSdkService;

    @PostMapping(value = "/list")
    public Result list(@RequestBody JSONObject param) {
        Integer platformType = param.getInteger("platformType");
        Integer status = param.getInteger("status");
        HashMap<String,Object> map = new HashMap<>();
        map.put("list",spaceSdkService.getList(platformType,status));
        return Result.success(map);
    }
}

